//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


#define _BV(BIT) (1<<BIT)
#define sbi(BYTE,BIT) (BYTE |= _BV(BIT))
#define cbi(BYTE,BIT) (BYTE &= ~_BV(BIT))

void main()
{
	char led;
	led = 0;
	for(;;){
		if(PRT1DR & _BV(4)){ // if switch ON
			while(PRT1DR & _BV(4)); // wait until switch OFF
			led++; // next
		}
		PRT2DR = led; // display binary by LED
	}
}